## italc 2.0.1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.4.5)

PROJECT(italc)

SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
SET(CMAKE_BUILD_TYPE relwithdebinfo)

IF(COMMAND CMAKE_POLICY)
	CMAKE_POLICY(SET CMP0005 NEW)
	CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND CMAKE_POLICY)

INCLUDE(AddFileDependencies)
INCLUDE(CheckCSourceCompiles)
INCLUDE(CheckIncludeFiles)
INCLUDE(CheckFunctionExists)
INCLUDE(FindPkgConfig)
INCLUDE(Qt4Hacks)

SET(VERSION_MAJOR "2")
SET(VERSION_MINOR "0")
SET(VERSION_PATCH "1")
SET(VERSION_SUFFIX "")
SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
IF(VERSION_SUFFIX)
	SET (VERSION "${VERSION}-${VERSION_SUFFIX}")
ENDIF(VERSION_SUFFIX)
ADD_DEFINITIONS(-D'ITALC_VERSION="${VERSION}"')


INCLUDE(DetectMachine)

# check for pthreads and TLS support
IF(WIN32)
	SET(ITALC_HAVE_LIBPTHREAD true)
ELSE(WIN32)
    FIND_PACKAGE(Threads)
	IF(CMAKE_USE_PTHREADS_INIT)
		SET(ITALC_HAVE_LIBPTHREAD true)
	ENDIF(CMAKE_USE_PTHREADS_INIT)
ENDIF(WIN32)

CHECK_C_SOURCE_COMPILES("static __thread int p = 0; int main() {}" ITALC_HAVE_TLS)

CHECK_INCLUDE_FILES(arpa/inet.h ITALC_HAVE_ARPA_INET_H)
CHECK_INCLUDE_FILES(unistd.h ITALC_HAVE_UNISTD_H)
CHECK_INCLUDE_FILES(fcntl.h ITALC_HAVE_FCNTL_H)
CHECK_INCLUDE_FILES(limits.h ITALC_HAVE_LIMITS_H)
CHECK_INCLUDE_FILES(memory.h ITALC_HAVE_MEMORY_H)
CHECK_INCLUDE_FILES(netdb.h ITALC_HAVE_NETDB_H)
CHECK_INCLUDE_FILES(netinet/in.h ITALC_HAVE_NETINET_IN_H)
CHECK_INCLUDE_FILES(stdint.h ITALC_HAVE_STDINT_H)
CHECK_INCLUDE_FILES(stdlib.h ITALC_HAVE_STDLIB_H)
CHECK_INCLUDE_FILES(stdbool.h ITALC_HAVE_STDBOOL_H)
CHECK_INCLUDE_FILES(string.h ITALC_HAVE_STRING_H)
CHECK_INCLUDE_FILES(strings.h ITALC_HAVE_STRINGS_H)
CHECK_INCLUDE_FILES(sys/ioctl.h ITALC_HAVE_SYS_IOCTL_H)
CHECK_INCLUDE_FILES(sys/socket.h ITALC_HAVE_SYS_SOCKET_H)
CHECK_INCLUDE_FILES(sys/time.h ITALC_HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILES(sys/timeb.h ITALC_HAVE_SYS_TIMEB_H)
CHECK_INCLUDE_FILES(sys/stat.h ITALC_HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILES(syslog.h ITALC_HAVE_SYSLOG_H)
CHECK_INCLUDE_FILES(unistd.h ITALC_HAVE_UNISTD_H)
CHECK_INCLUDE_FILES(pwd.h ITALC_HAVE_PWD_H)
CHECK_INCLUDE_FILES(sys/types.h ITALC_HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILES(utmpx.h ITALC_HAVE_UTMPX_H)
CHECK_INCLUDE_FILES(sys/wait.h ITALC_HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILES(time.h ITALC_HAVE_TIME_H)
CHECK_INCLUDE_FILES(errno.h ITALC_HAVE_ERRNO_H)
CHECK_INCLUDE_FILES(pthread.h ITALC_HAVE_PTHREAD_H)
CHECK_INCLUDE_FILES(sys/ipc.h ITALC_HAVE_SYS_IPC_H)
CHECK_INCLUDE_FILES(sys/shm.h ITALC_HAVE_SYS_SHM_H)
CHECK_INCLUDE_FILES(stdarg.h ITALC_HAVE_STDARG_H)
CHECK_INCLUDE_FILES(signal.h ITALC_HAVE_SIGNAL_H)
CHECK_INCLUDE_FILES(ctype.h ITALC_HAVE_CTYPE_H)
CHECK_INCLUDE_FILES(process.h ITALC_HAVE_PROCESS_H)
CHECK_INCLUDE_FILES(dlfcn.h ITALC_HAVE_DLFCN_H)
CHECK_INCLUDE_FILES(inttypes.h ITALC_HAVE_INTTYPES_H)
CHECK_INCLUDE_FILES(vfork.h ITALC_HAVE_VFORK_H)
CHECK_INCLUDE_FILES(linux/fb.h ITALC_HAVE_LINUX_FB_H)
CHECK_INCLUDE_FILES(linux/input.h ITALC_HAVE_LINUX_INPUT_H)
CHECK_INCLUDE_FILES(linux/uinput.h ITALC_HAVE_LINUX_UINPUT_H)
CHECK_INCLUDE_FILES(linux/videodev.h ITALC_HAVE_LINUX_VIDEODEV_H)

IF(NOT ITALC_BUILD_WIN32)
	FIND_PACKAGE(PAM REQUIRED)
ENDIF()

SET(CMAKE_REQUIRED_LIBRARIES "-lm")

SET(FUNCS dup2 floor ftime geteuid gethostbyname gethostname getpwnam getpwuid getspnam gettimeofday getuid grantpt inet_ntoa initgroups memcmp memcpy memmove memset mkfifo mmap pow putenv select seteuid setpgrp setsid setutxent socket strchr strdup strerror strpbrk strrchr strstr uname waitpid)
FOREACH(_func ${FUNCS})
	STRING(TOUPPER "${_func}" fuc)
	CHECK_FUNCTION_EXISTS(${_func} ITALC_HAVE_${fuc})
ENDFOREACH(_func ${FUNCS})

# TODO: ITALC_WORDS_BIGENDIAN

# check for Qt4

SET(QT_MIN_VERSION "4.6.0")
FIND_PACKAGE(Qt4 REQUIRED)
SET(QT_USE_QTXML 1)
SET(QT_USE_QTNETWORK 1)
IF(WIN32)
	SET(QT_QM_RCC "<!DOCTYPE RCC><RCC version=\"1.0\"><qresource>")
	FILE(GLOB QT_QM ${MINGW_PREFIX}/share/qt4/translations/qt_*.qm)
	FOREACH(f ${QT_QM})
		STRING(REGEX MATCH ".*qt_help.*" TMP "${f}")
		IF(NOT TMP)
			STRING(REPLACE "${MINGW_PREFIX}/share/qt4/translations/" "" fa "${f}")
			SET(QT_QM_RCC "${QT_QM_RCC}<file alias=\"${fa}\">${f}</file>")
		ENDIF()
	ENDFOREACH()
	SET(QT_QM_RCC "${QT_QM_RCC}</qresource></RCC>")
	FILE(WRITE ${CMAKE_CURRENT_BINARY_DIR}/lib/qt_qm.qrc "${QT_QM_RCC}")
ELSE()
	EXEC_PROGRAM(${QT_QMAKE_EXECUTABLE} ARGS "-query QT_INSTALL_TRANSLATIONS" OUTPUT_VARIABLE QT_TRANSLATIONS_DIR)
	IF(EXISTS "${QT_TRANSLATIONS_DIR}")
		MESSAGE("-- Found Qt translations in ${QT_TRANSLATIONS_DIR}")
		ADD_DEFINITIONS(-D'QT_TRANSLATIONS_DIR="${QT_TRANSLATIONS_DIR}"')
	ENDIF(EXISTS "${QT_TRANSLATIONS_DIR}")
ENDIF()

IF(NOT WIN32)
	STRING(REPLACE "-DQT_DLL" "" QT_DEFINITIONS "${QT_DEFINITIONS}")
ENDIF(NOT WIN32)
INCLUDE(${QT_USE_FILE})


# find libraries
FIND_PACKAGE(ZLIB REQUIRED)
FIND_PACKAGE(JPEG REQUIRED)
IF(ITALC_BUILD_WIN32)
	SET(OPENSSL_LIBRARIES -L${MINGW_PREFIX}/bin -leay32)
ELSE(ITALC_BUILD_WIN32)
	FIND_PACKAGE(OpenSSL REQUIRED)
ENDIF(ITALC_BUILD_WIN32)
FIND_PACKAGE(PNG)

# find X libraries
IF(NOT ITALC_BUILD_WIN32)
	FIND_PACKAGE(X11 REQUIRED)

	SET(CMAKE_REQUIRED_LIBRARIES ${X11_LIBRARIES} ${X11_XTest_LIB})
	SET(ITALC_HAVE_X11 TRUE)

	IF(X11_XShm_FOUND)
		SET(ITALC_HAVE_XSHM TRUE)
	ENDIF(X11_XShm_FOUND)
	IF(X11_XTest_FOUND)
		SET(ITALC_HAVE_XTEST TRUE)
	ENDIF(X11_XTest_FOUND)
	IF(X11_Xinerama_FOUND)
		SET(ITALC_HAVE_LIBXINERAMA TRUE)
	ENDIF(X11_Xinerama_FOUND)
	IF(X11_Xrandr_FOUND)
		SET(ITALC_HAVE_LIBXRANDR TRUE)
	ENDIF(X11_Xrandr_FOUND)
	IF(X11_Xfixes_FOUND)
		SET(ITALC_HAVE_LIBXFIXES TRUE)
	ENDIF(X11_Xfixes_FOUND)
	IF(X11_Xdamage_FOUND)
		SET(ITALC_HAVE_LIBXDAMAGE TRUE)
	ENDIF(X11_Xdamage_FOUND)

	CHECK_FUNCTION_EXISTS(XReadScreen ITALC_HAVE_SOLARIS_XREADSCREEN)
	CHECK_FUNCTION_EXISTS(FBPMForceLevel ITALC_HAVE_FBPM)
	CHECK_FUNCTION_EXISTS(DPMSForceLevel ITALC_HAVE_DPMS)
	CHECK_FUNCTION_EXISTS(XTestGrabControl ITALC_HAVE_XTESTGRABCONTROL)
	CHECK_FUNCTION_EXISTS(XRecordEnableContextAsync ITALC_HAVE_RECORD)
	CHECK_INCLUDE_FILES(X11/extensions/readdisplay.h ITALC_HAVE_IRIX_XREADDISPLAY)
	CHECK_INCLUDE_FILES(X11/XKBlib.h ITALC_HAVE_XKBLIB_H)
	IF(ITALC_HAVE_XKBLIB_H)
		CHECK_FUNCTION_EXISTS(XkbSelectEvents ITALC_HAVE_XKEYBOARD)
	ENDIF(ITALC_HAVE_XKBLIB_H)
	SET(ITALC_HAVE_LIBCRYPT FALSE)
ENDIF(NOT ITALC_BUILD_WIN32)
SET(ITALC_ALLOW24BPP TRUE)
SET(ITALC_BACKCHANNEL TRUE)

# find Java compiler for the JavaViewer
FIND_PACKAGE(Java)
IF(JAVA_COMPILE)
	SET(STATUS_JAVA "yes")
ELSE(JAVA_COMPILE)
	SET(STATUS_JAVA "no - please install a Java compiler")
ENDIF(JAVA_COMPILE)


SET(ITALCCONFIG ${CMAKE_BINARY_DIR}/italcconfig.h)
SET(RFBCONFIG ${CMAKE_BINARY_DIR}/rfb/rfbconfig.h)

CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/italcconfig.h.in ${ITALCCONFIG})
SET(IN_FILES iTALC.nsi italc.spec ima/data/italc ima/data/italc.desktop ica/ica.rc ima/italc.rc imc/imc.rc)
FOREACH(f ${IN_FILES})
	CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/${f}.in ${CMAKE_BINARY_DIR}/${f} @ONLY)
ENDFOREACH(f ${IN_FILES})

FILE(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/rfb)
IF(${ITALCCONFIG} IS_NEWER_THAN ${RFBCONFIG})
	EXECUTE_PROCESS(COMMAND sed -e "s/ITALC_/LIBVNCSERVER_/g" INPUT_FILE ${ITALCCONFIG} OUTPUT_FILE ${RFBCONFIG})
ENDIF(${ITALCCONFIG} IS_NEWER_THAN ${RFBCONFIG})

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fno-exceptions ${CXXFLAGS}")
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall ${CFLAGS}")
IF(ITALC_BUILD_WIN32)
	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-attributes -Wno-pragmas")
ELSE()
	SET(OPENSSL_LIBRARIES ${OPENSSL_LIBRARIES} -lcrypto)
ENDIF(ITALC_BUILD_WIN32)

ADD_DEFINITIONS(-D'LIB_DIR="${CMAKE_INSTALL_PREFIX}/${LIB_DIR}/"' -D'PLUGIN_DIR="${CMAKE_INSTALL_PREFIX}/${LIB_DIR}/italc/"')
ADD_DEFINITIONS(-DLIBVNCSERVER_HAVE_LIBZ)
ADD_DEFINITIONS(-DLIBVNCSERVER_HAVE_LIBJPEG)
IF(PNG_FOUND)
	ADD_DEFINITIONS(-DLIBVNCSERVER_HAVE_LIBPNG)
ENDIF(PNG_FOUND)

INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR} ${CMAKE_SOURCE_DIR}/lib/include ${ZLIB_INCLUDE_DIR} ${JPEG_INCLUDE_DIR} ${PNG_INCLUDE_DIR} ${OPENSSL_INCLUDE_DIR})
LINK_DIRECTORIES(${CMAKE_INSTALL_PREFIX}/lib ${CMAKE_BINARY_DIR}/lib)
LINK_LIBRARIES(${QT_LIBRARIES} ${ZLIB_LIBRARIES} ${JPEG_LIBRARIES} ${PNG_LIBRARIES} ${OPENSSL_LIBRARIES})

# make sub-directories
ADD_SUBDIRECTORY(lib)
ADD_SUBDIRECTORY(ica)
ADD_SUBDIRECTORY(ima)
ADD_SUBDIRECTORY(imc)

INSTALL()

#
# rules for building localizations
#
FILE(GLOB italc_LOCALES lib/resources/*.ts)
SET(ts_targets "")
SET(qm_targets "")
FILE(GLOB_RECURSE italc_SOURCES *.cpp *.h *.ui)
FOREACH(_ts_file ${italc_LOCALES})
	STRING(REPLACE "${CMAKE_SOURCE_DIR}/lib/resources/" "" _ts_target "${_ts_file}")
	STRING(REPLACE ".ts" ".qm" _qm_file "${_ts_file}")
	STRING(REPLACE ".ts" ".qm" _qm_target "${_ts_target}")
	ADD_CUSTOM_TARGET(${_ts_target} COMMAND ${QT_LUPDATE_EXECUTABLE} -I${CMAKE_SOURCE_DIR}/lib/include -locations none -no-obsolete ${italc_SOURCES} -ts ${_ts_file})
	ADD_CUSTOM_TARGET(${_qm_target} COMMAND ${QT_LRELEASE_EXECUTABLE} ${_ts_file} -qm ${_qm_file})
	LIST(APPEND ts_targets "${_ts_target}")
	LIST(APPEND qm_targets "${_qm_target}")
ENDFOREACH(_ts_file ${italc_LOCALES})

ADD_CUSTOM_TARGET(update-locales)
FOREACH(_item ${ts_targets})
	ADD_DEPENDENCIES(update-locales ${_item})
ENDFOREACH(_item ${ts_targets})

ADD_CUSTOM_TARGET(finalize-locales)
FOREACH(_item ${qm_targets})
	ADD_DEPENDENCIES(finalize-locales ${_item})
ENDFOREACH(_item ${qm_targets})


#
# add tarball-target
#
SET(TMP "italc-${VERSION}")
ADD_CUSTOM_TARGET(dist
			COMMAND make clean
			COMMAND rm -rf ${TMP}
			COMMAND mkdir -p ${TMP}
			COMMAND cp AUTHORS build_mingw* ChangeLog CMakeLists.txt COPYING INSTALL italcconfig.h.in italc.spec.in iTALC.nsi.in README* TODO ${TMP}
			COMMAND cp -r cmake contrib doc lib ica ima imc nsis ${TMP}
			COMMAND rm -rf `find ${TMP} -type d -name ".svn"`  `find ${TMP} -name cmake_install.cmake` `find ${TMP} -name Makefile` `find ${TMP} -type d -name CMakeFiles` ${TMP}/CMakeCache.txt `find ${TMP} -name "*.depends"` ${TMP}/ima/data/italc ${TMP}/ima/data/italc.desktop
			COMMAND tar cjf italc-${VERSION}.tar.bz2 ${TMP}
			COMMAND rm -rf ${TMP})

SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "italcconfig.h")

ADD_CUSTOM_TARGET(win-nsi
			COMMAND make
			COMMAND rm -rf ${TMP}
			COMMAND mkdir -p ${TMP}
			COMMAND cp lib/ItalcCore.dll ica/ica.exe ica/win32/vnchooks.dll ica/win32/authSSP.dll ima/italc.exe imc/imc.exe ${TMP}
			COMMAND ${STRIP} ${TMP}/*
			COMMAND cp -r ${CMAKE_SOURCE_DIR}/doc ${TMP}
			COMMAND cp -r ${CMAKE_SOURCE_DIR}/contrib ${TMP}
			COMMAND cp ${CMAKE_SOURCE_DIR}/COPYING ${TMP}
			COMMAND cp ${CMAKE_SOURCE_DIR}/COPYING ${TMP}/LICENSE.TXT
			COMMAND cp ${CMAKE_SOURCE_DIR}/README ${TMP}/README.TXT
			COMMAND todos ${TMP}/*.txt ${TMP}/*.TXT
			COMMAND makensis iTALC.nsi
			#COMMAND rm -rf ${TMP}
		)


#
# display configuration information
#

MESSAGE("\n"
"iTALC build summary\n"
"--------------------\n"
"* Install prefix              : ${CMAKE_INSTALL_PREFIX}\n"
"* Build type                  : ${CMAKE_BUILD_TYPE}\n"
"* Platform                    : ${CMAKE_SYSTEM_PROCESSOR} (${Machine})\n"
"* Builtin JavaViewer support  : ${STATUS_JAVA}\n"
"* Compile flags               : ${CMAKE_C_FLAGS} (CXX: ${CMAKE_CXX_FLAGS})\n"
)

MESSAGE(
"\n"
"-----------------------------------------------------------------\n"
"IMPORTANT:\n"
"After installing missing packages, remove CMakeCache.txt before\n"
"running cmake again!\n"
"-----------------------------------------------------------------\n"
"\n\n")


INCLUDE(InstallRequiredSystemLibraries)
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "iTALC - Intelligent Teaching And Learning with Computers")
SET(CPACK_PACKAGE_VENDOR "ITALC Developers")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
SET(CPACK_PACKAGE_VERSION_MAJOR "${VERSION_MAJOR}")
SET(CPACK_PACKAGE_VERSION_MINOR "${VERSION_MINOR}")
SET(CPACK_PACKAGE_VERSION_PATCH "${VERSION_PATCH}-${VERSION_SUFFIX}")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "iTALC ${VERSION}")
IF(WIN32)

=== ica/CMakeLists.txt ===
FILE(GLOB ica_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/src/*.h)
FILE(GLOB ica_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp)
SET(QRC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/ica.qrc)
QT4_WRAP_CPP(ica_MOC_out ${ica_INCLUDES})
QT4_ADD_RESOURCES(ica_RCC_out ${QRC_FILE})
QT4_TRANSLATIONS_FOR_QRC(${QRC_FILE} ${ica_SOURCES} ${ica_INCLUDES})
ADD_DEFINITIONS(-DLIBVNCSERVER_PACKAGE_STRING="iTALC ${VERSION}")

# build JavaViewer
SET(JAVAVIEWER_DIR ${CMAKE_CURRENT_BINARY_DIR}/JavaViewer)
SET(VNCVIEWER_JAR ${JAVAVIEWER_DIR}/VncViewer.jar)
FILE(MAKE_DIRECTORY ${JAVAVIEWER_DIR})

IF(JAVA_COMPILE AND JAVA_ARCHIVE)

	ADD_CUSTOM_COMMAND(OUTPUT ${VNCVIEWER_JAR}
						COMMAND ${JAVA_COMPILE} -d ${JAVAVIEWER_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/JavaViewer/*.java
						COMMAND cd ${JAVAVIEWER_DIR} && ${JAVA_ARCHIVE} cfm ${VNCVIEWER_JAR} ${CMAKE_CURRENT_SOURCE_DIR}/JavaViewer/MANIFEST.MF OptionsFrame.class VncCanvas.class ButtonPanel.class FTPFrame.class SessionRecorder.class DH.class VncViewer.class DesCipher.class RecordingFrame.class FTPFrame$$StrComp.class RfbProto.class ClipboardFrame.class AuthPanel.class
						DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/JavaViewer/* )
	INSTALL(FILES ${VNCVIEWER_JAR} ${CMAKE_CURRENT_SOURCE_DIR}/JavaViewer/index.vnc DESTINATION ${CMAKE_INSTALL_PREFIX}/share/italc/JavaViewer)

ELSE()

	ADD_CUSTOM_COMMAND(OUTPUT ${VNCVIEWER_JAR} COMMAND touch ${VNCVIEWER_JAR})

ENDIF()

ADD_CUSTOM_TARGET(JavaViewer DEPENDS ${VNCVIEWER_JAR})

# end build JavaViewer


SET(x11vnc_SOURCES
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/auth.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/cargs.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/corre.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/cursor.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/cutpaste.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/draw.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/font.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/hextile.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/httpd.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/main.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/rfbregion.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/rfbserver.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/rre.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/scale.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/selbox.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/sockets.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/stats.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/translate.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/ultra.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/zlib.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/zrle.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/zrleoutstream.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/zrlepalettehelper.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver/tight.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/common/d3des.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/common/vncauth.c
		${CMAKE_CURRENT_SOURCE_DIR}/x11/x11vnc.c )

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/x11 ${CMAKE_CURRENT_SOURCE_DIR}/x11/x11vnc ${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncserver ${CMAKE_CURRENT_SOURCE_DIR}/x11/common)
ADD_DEFINITIONS(-DVNCSHARED -DFOREVER -DNOREPEAT=0 -DNOPW=1 -DREMOTE_CONTROL=0 -DEXTERNAL_COMMANDS=0 -DFILEXFER=0 -DNOGUI -DSMALL_FOOTPRINT=3)

IF(ITALC_BUILD_LINUX)

	ADD_SUBDIRECTORY(helpers)

	SET(platform_SOURCES
		${CMAKE_CURRENT_SOURCE_DIR}/x11/x11vnc/appshare.c)

	LINK_LIBRARIES(${X11_LIBRARIES} ${X11_XTest_LIB} ${X11_Xfixes_LIB} ${X11_Xinerama_LIB} ${X11_Xdamage_LIB} ${X11_Xrandr_LIB})

ENDIF(ITALC_BUILD_LINUX)

IF(ITALC_BUILD_WIN32)

	ADD_SUBDIRECTORY(win32)

	ADD_DEFINITIONS(-DX11VNC_IPV6=0 -DPTW32_STATIC_LIB -DTLS=__thread -DX11VNC_USLEEP -D__USE_MINGW_ANSI_STDIO=1)
	INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/win32 ${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc ${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/omnithread ${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc ${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncclient)
	SET(platform_SOURCES
		${CMAKE_CURRENT_SOURCE_DIR}/win32/ultravnc.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/ultravnc-italc.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/HideDesktop.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/rfbRegion_win32.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vistahook.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncdesktopthread.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncdesktopsink.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/IPC.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncmenu.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncencoderre.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncserver.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncabout.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/black_layered.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncsetauth.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncacceptdialog.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/rfbUpdateTracker.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncencodehext.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/d3des.c
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncproperties.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/security.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/buildtime.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/Timer.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncconndialog.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncencoderCursor.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncencoder.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vnclog.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/translate.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncencodecorre.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncencodezrle.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vnchttpconnect.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncEncodeTight.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncservice.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncMultiMonitor.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/inifile.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncbuffer.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/videodrivercheck.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/videodriver.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/read_write_ini.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vnctimedmsgbox.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncDesktopSW.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vnckeymap.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncOSVersion.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/winvnc.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncauth.c
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncListDlg.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/stdhdrs.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncEncodeUltra.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncEncodeUltra2.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncsockconnect.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncntlm.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncinsthandler.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncEncodeZlib.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncEncodeZlibHex.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/vncpropertiesPoll.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/helpers.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/service_motor.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/service.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/CpuUsage.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/getinfo.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/Dtwinver.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/winvnc/httpconnect.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/omnithread/nt.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/winvnc/DSMPlugin/DSMPlugin.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/common/Clipboard.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/common/win32_helpers.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/win32/rdr/ZlibOutStream.cxx
		${CMAKE_CURRENT_SOURCE_DIR}/win32/rdr/ZlibInStream.cxx
		)

	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-write-strings -fexceptions")
	LINK_LIBRARIES(-luserenv -lole32 -lversion -lgdi32 -limm32 -lwinmm)

	ADD_DEFINITIONS(-DULTRAVNC_ITALC_SUPPORT -DLIBVNCSERVER_NEED_INADDR_T)

	SET(WINRC "${CMAKE_CURRENT_BINARY_DIR}/icarc.obj")
	ADD_CUSTOM_COMMAND(OUTPUT ${WINRC}
						COMMAND ${WINDRES}
							-I${CMAKE_CURRENT_SOURCE_DIR}
							-o${WINRC}
							-i${CMAKE_CURRENT_BINARY_DIR}/ica.rc
						DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/ica.rc ${VNCVIEWER_JAR})

ENDIF(ITALC_BUILD_WIN32)

IF(ITALC_BUILD_WIN64)
	ADD_DEFINITIONS(-D_X64)
ENDIF(ITALC_BUILD_WIN64)


ADD_DEFINITIONS(-DBUILD_ICA)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src ${CMAKE_CURRENT_SOURCE_DIR}/x11/libvncclient)
LINK_LIBRARIES(-lpthread)

ADD_EXECUTABLE(ica ${ica_SOURCES} ${ica_INCLUDES} ${ica_MOC_out} ${ica_RCC_out} ${x11vnc_SOURCES} ${platform_SOURCES} ${WINRC})
TARGET_LINK_LIBRARIES(ica ItalcCore)

ADD_DEPENDENCIES(ica JavaViewer)

INSTALL(TARGETS ica RUNTIME DESTINATION bin)

IF(ITALC_BUILD_WIN32)
	SET_TARGET_PROPERTIES(ica PROPERTIES LINK_FLAGS -mwindows)
ENDIF(ITALC_BUILD_WIN32)

=== lib/CMakeLists.txt ===
FILE(GLOB ic_INCLUDES
						${CMAKE_CURRENT_SOURCE_DIR}/include/*.h
						${CMAKE_CURRENT_SOURCE_DIR}/include/Ipc/*.h
						${CMAKE_CURRENT_SOURCE_DIR}/include/Configuration/*.h)
FILE(GLOB ic_SOURCES
						${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp
						${CMAKE_CURRENT_SOURCE_DIR}/src/Ipc/*.cpp
						${CMAKE_CURRENT_SOURCE_DIR}/src/Configuration/*.cpp)
FILE(GLOB ic_UI ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/*.ui)

SET(LIBVNCCLIENT_SOURCES
${CMAKE_CURRENT_SOURCE_DIR}/../ica/x11/common/minilzo.c
${CMAKE_CURRENT_SOURCE_DIR}/../ica/x11/common/turbojpeg.c
${CMAKE_CURRENT_SOURCE_DIR}/../ica/x11/libvncclient/cursor.c
${CMAKE_CURRENT_SOURCE_DIR}/../ica/x11/libvncclient/listen.c
${CMAKE_CURRENT_SOURCE_DIR}/../ica/x11/libvncclient/rfbproto.c
${CMAKE_CURRENT_SOURCE_DIR}/../ica/x11/libvncclient/sockets.c
${CMAKE_CURRENT_SOURCE_DIR}/../ica/x11/libvncclient/tls_none.c
${CMAKE_CURRENT_SOURCE_DIR}/../ica/x11/libvncclient/vncviewer.c)


SET(QRC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/ItalcCore.qrc)
QT4_WRAP_CPP(ic_MOC_out ${ic_INCLUDES})
QT4_WRAP_UI(ic_UIC_out ${ic_UI})
QT4_ADD_RESOURCES(ic_RCC_out ${QRC_FILE})
IF(WIN32)
	QT4_ADD_RESOURCES(ic_qt_qm_out ${CMAKE_CURRENT_BINARY_DIR}/qt_qm.qrc)
ENDIF()
QT4_TRANSLATIONS_FOR_QRC(${QRC_FILE} ${ic_SOURCES} ${ic_INCLUDES})

ADD_DEFINITIONS(-DBUILD_ICA -DBUILD_LIBRARY)
IF(ITALC_BUILD_WIN32)
	LINK_LIBRARIES(-lws2_32 -lwtsapi32 -lnetapi32 -luserenv -ladvapi32)
	SET(CMAKE_MODULE_LINKER_FLAGS -Wl,-export-all-symbols)
ENDIF(ITALC_BUILD_WIN32)

INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/include ${CMAKE_CURRENT_SOURCE_DIR}/../ica/x11/common/)
ADD_LIBRARY(ItalcCore SHARED ${ic_SOURCES} ${ic_INCLUDES} ${ic_MOC_out} ${ic_UIC_out} ${ic_RCC_out} ${ic_qt_qm_out} ${LIBVNCCLIENT_SOURCES})

IF(ITALC_BUILD_WIN32)
	SET_TARGET_PROPERTIES(ItalcCore PROPERTIES PREFIX "")
	SET_SOURCE_FILES_PROPERTIES(src/Inject.cpp PROPERTIES COMPILE_FLAGS "-O0")
	INSTALL(TARGETS ItalcCore RUNTIME DESTINATION ${LIB_DIR})
ELSE()
	INSTALL(TARGETS ItalcCore LIBRARY DESTINATION ${LIB_DIR})
ENDIF(ITALC_BUILD_WIN32)

=== ica/win32/CMakeLists.txt ===
SET(CMAKE_MODULE_LINKER_FLAGS -Wl,-export-all-symbols)

IF(ITALC_BUILD_WIN32)
	LINK_LIBRARIES(-ladvapi32)
ENDIF(ITALC_BUILD_WIN32)

SET(VH_WINRC "${CMAKE_CURRENT_BINARY_DIR}/vnchooksrc.obj")
ADD_CUSTOM_COMMAND(OUTPUT ${VH_WINRC}
						COMMAND ${WINDRES}
							-I${CMAKE_CURRENT_SOURCE_DIR}
							-o${VH_WINRC}
							-i${CMAKE_CURRENT_SOURCE_DIR}/winvnc/vnchooks/vnchooks.rc)

ADD_LIBRARY(vnchooks MODULE
				${CMAKE_CURRENT_SOURCE_DIR}/winvnc/vnchooks/VNCHooks.cpp
				${CMAKE_CURRENT_SOURCE_DIR}/winvnc/vnchooks/SharedData.cpp
				${VH_WINRC})
SET_TARGET_PROPERTIES(vnchooks PROPERTIES PREFIX "")


ADD_DEFINITIONS(-DAUTHSSP_EXPORTS -DULTRAVNC_ITALC_SUPPORT -D__USE_MINGW_ANSI_STDIO=1)
SET(AUTHSSP_WINRC "${CMAKE_CURRENT_BINARY_DIR}/authssprc.obj")
ADD_CUSTOM_COMMAND(OUTPUT ${AUTHSSP_WINRC}
						COMMAND ${WINDRES}
							-I${CMAKE_CURRENT_SOURCE_DIR}
							-o${AUTHSSP_WINRC}
							-i${CMAKE_CURRENT_SOURCE_DIR}/addon/ms-logon/authSSP/authSSP.rc)

ADD_LIBRARY(authSSP MODULE
				${CMAKE_CURRENT_SOURCE_DIR}/addon/ms-logon/authSSP/authSSP.cpp
				${CMAKE_CURRENT_SOURCE_DIR}/addon/ms-logon/authSSP/EventLogging.cpp
				${CMAKE_CURRENT_SOURCE_DIR}/addon/ms-logon/authSSP/GenClientServerContext.cpp
				${CMAKE_CURRENT_SOURCE_DIR}/addon/ms-logon/authSSP/vncAccessControl.cpp
				${CMAKE_CURRENT_SOURCE_DIR}/addon/ms-logon/authSSP/vncSSP.cpp
				${AUTHSSP_WINRC})
TARGET_LINK_LIBRARIES(authSSP ItalcCore)
SET_TARGET_PROPERTIES(authSSP PROPERTIES PREFIX "")

## italc 1.0.13

=== debian/changelog ===
italc (1:1.0.13-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * fixed FTBFS (Closes: #671489).
    + added new "qtpath.patch" to avoid fatal error for wrong path
      to libraries.
    + introduced dh-autoreconf to regenerate "configure" script using
      corrected "acinclude.m4" file.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 08 Nov 2012 15:08:19 +1100

italc (1:1.0.13-1.3) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667203.

 -- Matthias Klose <doko@debian.org>  Fri, 04 May 2012 08:37:15 +0200

italc (1:1.0.13-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on libjpeg-dev, not libjpeg62-dev (closes: #642838)

 -- Julien Cristau <jcristau@debian.org>  Sun, 29 Jan 2012 18:08:29 +0100

italc (1:1.0.13-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Felix Geyer to fix FTBFS when compiled with
    -Werror=format-security (Closes: #643411)
  * Set urgency to medium due to rc bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Sun, 04 Dec 2011 12:08:19 +0100

italc (1:1.0.13-1) unstable; urgency=low

  * Added a watch file for italc
  * Imported Upstream version 1.0.13 (Closes: #597759)
  * Acknowlege NMU of David Paleino, thanks. (Closes: #504970)
  * Link to GPL-2 as italc is using this version, according to COPYING
  * Removed dh_desktop call as it is deprecated
  * Add some more overrides
  * Bump standards version to 3.9.1 - no further changes needed
  * Switch to 3.0 (quilt) packaging
  * Add some more info to the short description

 -- Patrick Winnertz <winnie@debian.org>  Fri, 11 Feb 2011 14:50:22 +0100

italc (1:1.0.9-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed FTBFS with GCC 4.4, missing #include. Thanks to
    Martin Michlmayr (Closes: #504970)
  * italc-client.lintian-overrides and italc-master.lintian-overrides
    added

 -- David Paleino <dapal@debian.org>  Mon, 21 Dec 2009 15:02:56 +0100

italc (1:1.0.9-1) unstable; urgency=low

  * New upstream release (Closes: #508049)

 -- Patrick Winnertz <winnie@debian.org>  Tue, 17 Mar 2009 11:40:06 +0100

italc (1:1.0.9~rc3-1) unstable; urgency=low

  * Package new upstream version
    - upstream ported the code to qt4.4 (Closes: #481974)

 -- Patrick Winnertz <winnie@debian.org>  Tue, 17 Jun 2008 13:46:54 +0200

italc (1:1.0.8-1) unstable; urgency=low

  * Fix FTBFS by switching from openssl to libssl-dev build-dep. 
    Thanks to Laurent Bigonville <bigon@bigon.be> (Closes: #477022)
  * Packaging new upstream version.
  * 

 -- Patrick Winnertz <winnie@debian.org>  Tue, 13 May 2008 10:54:16 +0200

italc (1:1.0.7-2) unstable; urgency=low

  * Fix FTBFS on amd64 (Closes: #472439)
    + Add patch from upstream

 -- Patrick Winnertz <winnie@debian.org>  Thu, 27 Mar 2008 16:10:54 +0100

italc (1:1.0.7-1) unstable; urgency=low

  * New upstrem release. 

 -- Patrick Winnertz <winnie@debian.org>  Mon, 17 Mar 2008 10:13:42 +0100

italc (1:1.0.6-1) unstable; urgency=low

  * Move Homepage Header from Package Section into global Section.
  * Add the forgotten libitalc.install in order to install the lib correctly.
    Patch ica/Makefile.am and ima/Makefile.am in order to show
    the new place of the lib (Closes: #460889)

 -- Patrick Winnertz <winnie@debian.org>  Tue, 12 Feb 2008 14:47:20 +0100

italc (1:1.0.4-1) unstable; urgency=low

  * New upstream version
  * Add options for dh_shlibdeps to debian/rules to prevent a ftbfs
  * Added new package libitalc to control since now both
    applications needs this lib.
  * Changed my maintainer address.
  * Add compiler flags to rules
  * Modified menu file to fit into the new layout
  * Add Homepage: tag and remove Homepage from description
  * use new standard-version (3.7.3)

 -- Patrick Winnertz <winnie@debian.org>  Wed, 05 Dec 2007 16:28:26 +0100

italc (1:1.0.2-2) unstable; urgency=low

  * Upload of the package to unstable

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Wed, 16 May 2007 13:45:10 +0200

italc (1:1.0.2-1) experimental; urgency=low

  * Packaging new upstream release
  * FTBFS Bug on kfreeBSD send to upstream and this is fixed in 
    this version now. (Closes: #414096)

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Tue, 10 Apr 2007 15:29:41 +0200

italc (1:1.0.0-1) experimental; urgency=low

  * Packaging new upstream version.
    Must use epoch since 1.0.0 seems to be lesser than 1.0.0.0~rc2
  * Added build dependency libxtst-dev
  * Modified rules:
    - Removed build of icon, since this is now upstream
    - Added --with-linux to enable build on kfreeBSD. Thanks to Cyril
    Brulebois. (Closes: #414096)

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Sat, 24 Mar 2007 15:44:11 +0100

italc (1.0.0.0~rc2-1) experimental; urgency=low

  * Packaging new upstream release
  * Adopting this package from Steffen Joeris with his acceptance
  * Increasing the debhelper level to 5
  * Adding the build-depends: 
     - libqt4-dev 
     - zlib1g-dev
     - libjpeg62-dev 
     - openssl
  * italc-master now has a dependency against italc-client, since
    the client server (ica ) also have to run on the master.
  * Updated Copyright file, since some files were removed
  * Removed build depends libxaw7-dev, libqt3-mt-dev, libssl-dev, libxtst-dev
    since they are obsolete
  * Removed patches since upstream adopted them
  * Added README.Debian to make key creation easier for local administrators

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Wed, 27 Dec 2006 20:16:04 +0100

italc (0.9.6.2-3) unstable; urgency=low

  * Change build-depends against libxaw8-dev to libxaw7-dev
    (Closes: #370197)
  * Expand 20-configure.patch to adjust to newer X libraries
    Thanks to Peter Eisentraut
  * Bump standard version to 3.7.2
  * Provide the italc-keygen program which is needed for
    the key generation to enable the connection
    Thanks to Patrick Winnertz for some further skolelinux packaging


=== debian/control ===
Source: italc
Section: x11
Priority: optional
Maintainer: Patrick Winnertz <winnie@debian.org>
Build-Depends: cdbs, debhelper (>= 5.0), dh-autoreconf, libqt4-dev, zlib1g-dev, libjpeg-dev, libssl-dev, imagemagick, libxtst-dev
Standards-Version: 3.9.1
Homepage: http://italc.sourceforge.net/home.php

Package: italc-master
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python, italc-client, libitalc (=${binary:Version})
Description: Intelligent Teaching and Learning with Computers - Master
 iTALC makes it possible, to access and influence the pupils 
 activities just from the computer of the teacher. With the 
 help of iTALC, for example the teacher is able to see the 
 content of the pupils screens on his screen. If a pupil needs 
 help, the teacher can access the pupils desktop and give support 
 from his computer. The pupil can watch all activities, the 
 teacher is doing on his desktop. So the pupil can learn new processes. 
 For teaching something to all pupils, you can switch into demo-mode 
 where all screens of the pupils show the teacher-screen. 
 Furthermore things like locking pupil's screens, killing games, 
 power on/off clients and much more can be done with iTALC. 
 .
 This package contains the software necessary to observe and control iTALC
 clients provided by the italc-client package.

Package: italc-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libitalc (=${binary:Version})
Description: Intelligent Teaching and Learning with Computers - Client
 iTALC makes it possible, to access and influence the pupils 
 activities just from the computer of the teacher. With the 
 help of iTALC, for example the teacher is able to see the 
 content of the pupils screens on his screen. If a pupil needs 
 help, the teacher can access the pupils desktop and give support 
 from his computer. The pupil can watch all activities, the 
 teacher is doing on his desktop. So the pupil can learn new processes. 
 For teaching something to all pupils, you can switch into demo-mode 
 where all screens of the pupils show the teacher-screen. 
 Furthermore things like locking pupil's screens, killing games, 
 power on/off clients and much more can be done with iTALC. 
 .
 This package contains the client software for iTALC that can be controlled
 using italc-master.

Package: libitalc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Intelligent Teaching and Learning with Computers - common libraries
 iTALC makes it possible, to access and influence the pupils
 activities just from the computer of the teacher. With the
 help of iTALC, for example the teacher is able to see the
 content of the pupils screens on his screen. If a pupil needs
 help, the teacher can access the pupils desktop and give support
 from his computer. The pupil can watch all activities, the
 teacher is doing on his desktop. So the pupil can learn new processes.
 For teaching something to all pupils, you can switch into demo-mode
 where all screens of the pupils show the teacher-screen.
 Furthermore things like locking pupil's screens, killing games,
 power on/off clients and much more can be done with iTALC.
 .
 This package provides the necessary library for italc

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_DH_INSTALL_SOURCEDIR = debian/tmp
CPPFLAGS += -I/usr/X11R6/include
CFLAGS += -fPIC
CXXFLAGS += -fPIC
DEB_CONFIGURE_EXTRA_FLAGS = --with-linux LDFLAGS=-L/usr/X11R6/lib
DEB_DH_MAKESHLIBS_ARGS += -V
DEB_DH_SHLIBDEPS_ARGS_libitalc = -L libitalc -l debian/libitalc/usr/lib/

debian/italc.xpm: ima/data/italc.png
	convert -resize 32 $< $@

common-install-arch:: debian/italc.xpm
	install -D -m 644 debian/italc.xpm debian/italc-master/usr/share/pixmaps/italc.xpm

clean::
	rm -f debian/italc.xpm
	rm -f lupus/config.log
	rm -f lupus/config.status
	rm -f config.log
	rm -f config.status

## italc 2.0.1

=== debian/changelog ===
italc (1:2.0.1-4ubuntu0.14.04.1) trusty; urgency=medium

  * debian/patches/git_allocate-rfbProtocolExtension-statically.patch: 
    Import upstream patch to fix ica crashing when a client connects.
    (LP: #1297345)

 -- Ryan Tandy <rtandy@sd63.bc.ca>  Wed, 25 Feb 2015 12:22:56 -0800

italc (1:2.0.1-4) unstable; urgency=low

  * Debconf translation files updated/added:
    + Spanish translation added (thanks to Camaleón). (Closes: #728116).
  * debian/control:
    + Add libpng-dev as build dependency. (Closes: #729675).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 17 Nov 2013 09:19:39 +0100

italc (1:2.0.1-3) unstable; urgency=low

  * /debian/control:
    + Alioth-canonicalize Vcs-Git: field.
    + Vcs location has moved into debian-edu/pkg-team/ subfolder.
  * /debian/desktop/*.desktop:
    + Add Keywords: field.
  * Debconf translations:
    + Update typo in Japanese translation (thanks to
      »victory«). (Closes: #725724).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Oct 2013 00:45:33 +0200

italc (1:2.0.1-2) unstable; urgency=low

  * Review of translatable text elements by the Enlish i18n team. (Closes:
    #719778).
  * /debian/copyright:
    + Add block for Files: /debian/*.
  * Debconf translation files updated/added:
    + Russian translation (thanks to Yuri Kozlov). (Closes: #721993).
    + Danish translation (thanks to Joe Dalton). (Closes: #722131).
    + Czech translation (thanks to Michal Šimůnek). (Closes: #722141).
    + Japanese translation (thanks to »victory«). (Closes: #723754).
    + Italian translation (thanks to Beatrice Torracca). (Closes: #723863).
    + Portuguese translation (thanks to Miguel Figueiredo). (Closes: #724018).
    + French translation (thanks to Steve Petruzzello). (Closes: #724485).
    + German translation (thanks to Helge Kreutzmann for reviewing my own
      translation effort). (Closes: #724025).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Sep 2013 21:27:50 +0200

italc (1:2.0.1-1) unstable; urgency=low

  * New upstream version.
  * /debian/italc-client.lintian-overrides:
    + Silence lintian about a false-positive spelling error report.
  * /debian/copyright:
    + Update and review and explicitly add OpenSSL exception.
  * Update patches, drop patch 011_qt-signals.patch (applied by upstream).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Aug 2013 15:52:25 +0200

italc (1:2.0.0-4) unstable; urgency=low

  * /debian/control:
    + Fix lintian: <bin:package>: data.tar.xz-member-without-dpkg-pre-depends.
  * /debian/italc-client.{config,templates}:
    + Make italc preseedable/configurable via debconf.
  * /debian/rules:
    + Now really fix the .ts file update and trigger the .qm build after
      configure of libitalccore.
    + Make sure .qm files shipped by upstream get moved out of the way before
      build and get restored properly during clean up.
    + Auto-configure iTALC.conf through debconf.
  * Update documentation file: README.setup.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Aug 2013 12:07:52 +0200

italc (1:2.0.0-3) unstable; urgency=low

  * /debian/control:
    + italc-client: Add adduser to Depends: field. (Closes: #707836).
  * /debian/rules:
    + Re-build .ts and .qm files during build time to incorporate
      latest translation fixes.
  * Lintian issues:
    + Fix duplicate-in-relation-field in source build-depends: libxrandr-dev,
      libxrandr-dev.
    + Fix unneeded-build-dep-on-quilt.
    + Fix spelling-error-in-binary usr/bin/italc neccessary necessary.
    + Fix spelling-error-in-binary usr/lib/italc/libItalcCore.so neccessary
      necessary.
    + Fix spelling-error-in-manpage usr/share/man/man1/ica.1.gz neccessary
      necessary.
    + Fix hyphen-used-as-minus-sign usr/share/man/man1/ica.1.gz.
    + Fix hyphen-used-as-minus-sign usr/share/man/man1/imc.1.gz.
  * Update patches.
  * Provide file italc-client.desktop. (Closes: #666428).
  * Provide file italc-master.desktop. (Closes: #666429).
  * Add patch: 006_inject-buildtype-from-outside.patch. Inject the build
    type (actually the BUILD_CPU) from /debian/rules. Avoid the detection
    code from upstream as it only covers x86 and x86_64. (Closes: #718745).
  * Provide documentation: README.setup. (Closes: #511387).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Aug 2013 03:11:55 +0200

italc (1:2.0.0-2) unstable; urgency=low

  * /debian/control:
    + Drop B-D: linux-libc-dev
    + Limit B-D: libv4l-dev to [linux-any].
    + Update long-descs: replace phrase »pupil« by »student«.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 11 May 2013 00:06:51 +0200

italc (1:2.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #640200, #672636).
  * Package becomes team-maintained (debian-edu-pkg-team@l.alioth.d.o).
  * Raise compat level to 7.
  * Use multi-line fields in /debian/control.
  * Add build-dependencies: libpam0g-dev, linux-libc-dev, and cmake.
    Also add-in build-dependencies found in x11vnc Debian package. Add
    build-dependency: libv4l-dev.
  * Add Vcs-* lines to /debian/control.
  * Make /debian/copyright DEP-5 compliant.
  * Drop outdated README.Debian, include upstream documentation files in
    package.
  * Drop lintian overrides from former package versions.
  * New binary package: italc-management-console.
  * Add quilt (>= 0.46-7~) as build dependency. Include CDBS rule
    patchsys-quilt.
  * Add patch: 001_set-static-libdir-and-rpath-for-cmake.patch, adapt to
    new iTALC library name: libItalcCore.so, rename binary package libitalc to
    libitalccore. As libItalcCore.so is private/unversioned, we use RPATH to
    build/find <LIB_DIR>/italc/libItalcCore.so.
  * Add patch: 002_use-v4l-videodev2.patch, support building with v4l2 support
    if present.
  * Add patch: 003_rename-plugin-dir.patch, change name of iTalc plugin
    directory.
  * Add patch: 004_x2go-nx-noxdamage.patch, handle iTALC in X2Go sessions in
    the same way as in NX sessions.
  * Grab man page from upstream Git: imc.8.


=== debian/control ===
Source: italc
Section: x11
Priority: optional
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Patrick Winnertz <winnie@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 cdbs,
 dpkg-dev (>= 1.16.1~),
 debhelper (>= 7.0.50~),
 cmake,
 libqt4-dev,
 zlib1g-dev,
 libjpeg-dev,
 libpng-dev,
 imagemagick,
 libpam0g-dev,
 libavahi-client-dev,
 libssl-dev,
 libvncserver-dev (>= 0.9.7),
 libxdamage-dev,
 libxext-dev,
 libxfixes-dev,
 libxss-dev,
 libxtst-dev,
 libxrandr-dev,
 libxinerama-dev,
 libv4l-dev [linux-any],
 gcj-jdk | gcj,
Standards-Version: 3.9.4
Homepage: http://italc.sourceforge.net/home.php
Vcs-Git: git://anonscm.debian.org/debian-edu/pkg-team/italc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-edu/pkg-team/italc.git;a=summary

Package: italc-master
Architecture: any
Pre-Depends:
 dpkg (>= 1.15.6~),
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python,
 italc-client,
 libitalccore (=${binary:Version}),
Description: intelligent Teaching And Learning with Computers - master
 iTALC makes it possible to access and guide the activities of students
 from the computer of the teacher. For example, with the help of iTALC
 a teacher can view the contents of students' screens and see if any of
 them need help. If so, the teacher can access the student's desktop and
 provide support; the student can watch the teacher's actions and learn
 from them. Alternatively the teacher can switch into "demo-mode", where
 all the students' screens show the contents of the teacher's screen.
 Furthermore, actions like locking students' screens, killing games,
 powering clients on or off, and much more can all be performed via iTALC.
 .
 This package contains the software necessary to observe and control iTALC
 clients provided by the italc-client package.

Package: italc-client
Architecture: any
Pre-Depends:
 dpkg (>= 1.15.6~),
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser,
 libitalccore (=${binary:Version}),
 italc-management-console (=${binary:Version}),
Description: intelligent Teaching And Learning with Computers - client
 iTALC makes it possible to access and guide the activities of students
 from the computer of the teacher. For example, with the help of iTALC
 a teacher can view the contents of students' screens and see if any of
 them need help. If so, the teacher can access the student's desktop and
 provide support; the student can watch the teacher's actions and learn
 from them. Alternatively the teacher can switch into "demo-mode", where
 all the students' screens show the contents of the teacher's screen.
 Furthermore, actions like locking students' screens, killing games,
 powering clients on or off, and much more can all be performed via iTALC.
 .
 This package contains the client software for iTALC, which can be
 controlled using italc-master.

Package: italc-management-console
Architecture: any
Pre-Depends:
 dpkg (>= 1.15.6~),
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libitalccore (=${binary:Version}),
Description: intelligent Teaching And Learning with Computers - management console
 iTALC makes it possible to access and guide the activities of students
 from the computer of the teacher. For example, with the help of iTALC
 a teacher can view the contents of students' screens and see if any of
 them need help. If so, the teacher can access the student's desktop and
 provide support; the student can watch the teacher's actions and learn
 from them. Alternatively the teacher can switch into "demo-mode", where
 all the students' screens show the contents of the teacher's screen.
 Furthermore, actions like locking students' screens, killing games,
 powering clients on or off, and much more can all be performed via iTALC.
 .
 This package contains the management console for iTALC, which helps to
 configure and manage iTALC installations.

Package: libitalccore
Architecture: any
Pre-Depends:
 dpkg (>= 1.15.6~),
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 libitalc,
Breaks:
 libitalc,
Replaces:
 libitalc,
Description: intelligent Teaching And Learning with Computers - libraries
 iTALC makes it possible to access and guide the activities of students
 from the computer of the teacher. For example, with the help of iTALC
 a teacher can view the contents of students' screens and see if any of
 them need help. If so, the teacher can access the student's desktop and
 provide support; the student can watch the teacher's actions and learn
 from them. Alternatively the teacher can switch into "demo-mode", where
 all the students' screens show the contents of the teacher's screen.
 Furthermore, actions like locking students' screens, killing games,
 powering clients on or off, and much more can all be performed via iTALC.
 .
 This package provides the common libraries needed for iTALC.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_DH_INSTALL_SOURCEDIR = debian/tmp
CPPFLAGS += -I/usr/include/X11
CFLAGS += -fPIC
GNU_CPU_TYPE:=$(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
CXXFLAGS += -fPIC -D'BUILD_TYPE=$(GNU_CPU_TYPE)'
DEB_CONFIGURE_EXTRA_FLAGS = --with-linux LDFLAGS=-L/usr/lib/X11
DEB_DH_MAKESHLIBS_ARGS += -V

DEB_CMAKE_NORMAL_ARGS += -DCMAKE_SKIP_RPATH=OFF

DEB_DH_SHLIBDEPS_ARGS_italc-master = -L libItalcCore -l debian/libitalccore/usr/lib/italc
DEB_DH_SHLIBDEPS_ARGS_italc-client = -L libItalcCore -l debian/libitalccore/usr/lib/italc
DEB_DH_SHLIBDEPS_ARGS_italc-management-console = -L libItalcCore -l debian/libitalccore/usr/lib/italc
DEB_DH_SHLIBDEPS_ARGS_libitalccore = -L libItalcCore -l debian/libitalccore/usr/lib/italc

debian/italc.xpm: ima/data/italc.png
	convert -resize 32 $< $@

makebuilddir/libitalccore::
	test -d debian/qm.bak/ || ( mkdir -p debian/qm.bak/; find lib/resources/ -name *.qm | while read qm; do cp -av $$qm debian/qm.bak/; done; )

configure/libitalccore::
	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE) finalize-locales

common-install-arch:: debian/italc.xpm
	install -D -m 644 debian/italc.xpm debian/italc-master/usr/share/pixmaps/italc.xpm
	install -D -m 644 debian/config/iTALC.conf.in debian/italc-client/etc/xdg/iTALC\ Solutions/iTALC.conf
	ln -s ../xdg/iTALC\ Solutions/iTALC.conf debian/italc-client/etc/italc/italc.conf

clean::
	find debian/qm.bak/*.qm | while read qm; do cp -av $$qm lib/resources/; done
	rm -Rf debian/qm.bak/
	rm -f debian/italc.xpm
	rm -f lupus/config.log
	rm -f lupus/config.status
	rm -f config.log
	rm -f config.status

=== debian/watch ===
version=3
http://sf.net/italc/italc-([\d\.]*).tar.bz2
